/* Source Sans 3, Source Serif 4, Source Code Pro*/
@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro:ital,wght@0,200..900;1,200..900&family=Source+Sans+3:ital,wght@0,200..900;1,200..900&family=Source+Serif+4:ital,opsz,wght@0,8..60,200..900;1,8..60,200..900&display=swap');


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/*Variables*/
:root {
    --rr-black: #252525;
    --rr-white: #cfcfcf;
    --rr-red: #ff5c5c;
    --rr-blue: #66eaea;
    --rr-green: #2ce29d;

    --rr-serif: "Source Serif 4", serif;
    --rr-sans: "Source Sans 3", sans-serif;
    --rr-monospace: "Source Code Pro", monospace;
}

/*Default Colors*/
:root {
    --bg-color: var(--rr-black);
    --txt-color: var(--rr-white);
    --primary-accent-color: var(--rr-red);
    --secondary-accent-color: var(--rr-blue);
    --tertiary-accent-color: var(--rr-green);
}



body {
    margin: 1em;
    height: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;

    color: var(--txt-color);
    background-color: var(--bg-color);
    
    font-size: 100%;
    font-optical-sizing: auto;
    line-height: 1.5;
    font-family: var(--rr-sans);
    font-weight: 400;
}

h1 {
    font-family: var(--rr-serif);
    font-style: italic;
    font-weight: 500;
    font-size: 4em;
    text-align: center;
}

code {
    font-family: var(--rr-monospace);
}

a {
    text-decoration: none;
    color: var(--secondary-accent-color);
}
a:hover, a:focus {
  color: var(--primary-accent-color);
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
nav > menu {
    display: flex;
    list-style: none;
    gap: 2em;
    margin: 0 1em;
}


#title {
    margin: 1em auto;
}

#logo {
    height: 4em;
    width: auto;
}



main {
    width: 80%;
    margin: 0 auto;
}

